# OSGeo::FDO::Schema::GeometricPropertyDefinition Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::GeometricPropertyDefinition:

[legend]

List of all members.

## Detailed Description

GeometricPropertyDefinition derives from PropertyDefinition and represents a geometric value. Geometric properties can take on any of the geometric types listed in the GeometricType enumeration. Note: Geometric properties do not actually store the coordinate system or measure units, this is to enable the use of the same schema in different geometric locals. GeometricType informs the client application what types of geometric primitives it can expect when reading a particular geometric property (and what types they can store in the property on insert/update). The client application can interpret the actual geometry values as it wants, e.g., displaying and manipulating the vertices of a Polyline as a group of independent points.

()

## Public Member Functions
| GeometricPropertyDefinition (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a GeometricPropertyDefinition object based on an unmanaged instance of the object.
| GeometricPropertyDefinition (System::String *name, System::String *description, System::Boolean system)
| Constructs an instance of an GeometricPropertyDefinition using the specified arguments.
| GeometricPropertyDefinition (System::String *name, System::String *description)
| Constructs an instance of an GeometricPropertyDefinition using the specified arguments.
| GeometricPropertyDefinition ()
| Constructs a default instance of an GeometricPropertyDefinition.
__property System::Int32 | get_GeometryTypes ()
| Gets the GeometricTypes that can be stored in this geometric property. The returned value may be any combination of the values from the GeometricType enumeration combined via a bit-wise or operation.
__property System::Boolean | get_HasElevation ()
| Gets a Boolean value that indicates if the geometry of this property include elevation values.
__property System::Boolean | get_HasMeasure ()
| Gets a Boolean value that indicates if the geometry of this property includes measurement values that can be used for dynamic segmentation.
__property OSGeo::FDO::Schema::PropertyType | get_PropertyType ()
| Gets the concrete property type.
__property System::Boolean | get_ReadOnly ()
| Returns a Boolean value that indicates if this geometric property is read-only.
__property System::String * | get_SpatialContextAssociation ()
| Gets the Spatial Context name associated to this geometric property.
__property OSGeo::FDO::Common::GeometryType | get_SpecificGeometryTypes (System::Int32 &length)[]
| Gets the specific geometry types that can be stored in this geometric property. The returned value is a list of geometry types that are supported, with length being the number of types returned.
__property System::Void | set_GeometryTypes (System::Int32 value)
| Sets the GeometricTypes that can be stored in this geometric property. The value may be any combination of the values from GeometricType enumeration combined via a bit-wise or operation.
__property System::Void | set_HasElevation (System::Boolean value)
| Sets a Boolean value that determines if the geometry of this property includes elevation values.
__property System::Void | set_HasMeasure (System::Boolean value)
| Sets a Boolean value that determines if the geometry of this property includes measurement values that can be used for dynamic segmentation.
__property System::Void | set_ReadOnly (System::Boolean value)
| Sets a Boolean value that specifies whether this geometric property is read-only.
__property System::Void | set_SpatialContextAssociation (System::String *value)
| Sets/add a Spatial Context association to this geometric property.
__property System::Void | set_SpecificGeometryTypes (OSGeo::FDO::Common::GeometryType types[], System::Int32 length)
| Sets the specific set of geometry types that can be stored in this geometric property. The provided value is a list of geometry types that are supported. Usually, one specific type is supported, but there can be more than one.